FreeMat

- Main Page
- Related Pages

vtkXMLDataSetWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLDataSetWriter is a wrapper around the VTK XML file format writers. Given an input vtkDataSet, the correct writer is automatically selected based on the type of input.

To create an instance of class vtkXMLDataSetWriter, simply invoke its constructor as follows

      obj = vtkXMLDataSetWriter

# Methods

The class vtkXMLDataSetWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLDataSetWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLDataSetWriter = obj.NewInstance ()`
- `vtkXMLDataSetWriter = obj.SafeDownCast (vtkObject o)`